org.cybergarage.upnp.control

## Class ActionResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse
    - - org.cybergarage.soap.SOAPResponse
      - - org.cybergarage.upnp.control.ControlResponse
        - - org.cybergarage.upnp.control.ActionResponse

-     public class ActionResponse
      extends ControlResponse

  Represents a UPnP action control response. Extends ControlResponse to provide action-specific functionality.

- - ### Field Summary

    - ### Fields inherited from class org.cybergarage.upnp.control.ControlResponse

      `FAULT_CODE, FAULT_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionResponse()` Default constructor
    `ActionResponse(SOAPResponse soapRes)` Constructs an ActionResponse from a SOAP response.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArgumentList` | `getResponse()` Gets the argument list from the response.
    `void` | `setResponse(Action action)` Sets the response for the specified action.

    - ### Methods inherited from class org.cybergarage.upnp.control.ControlResponse

      `getUPnPError, getUPnPErrorCode, getUPnPErrorDescription, setFaultResponse, setFaultResponse`

    - ### Methods inherited from class org.cybergarage.soap.SOAPResponse

      `getBodyNode, getEnvelopeNode, getFaultActor, getFaultActorNode, getFaultCode, getFaultCodeNode, getFaultDetailNode, getFaultNode, getFaultString, getFaultStringNode, getMethodResponseNode, print, setContent, setEnvelopeNode`

    - ### Methods inherited from class org.cybergarage.http.HTTPResponse

      `getHeader, getStatusCode, getStatusLineString, isSuccessful, setStatusCode, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getCharSet, getConnection, getContent, getContentInputStream, getContentLanguage, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLanguage, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionResponse

          public ActionResponse()

      Default constructor

    - #### ActionResponse

          public ActionResponse(SOAPResponse soapRes)

      Constructs an ActionResponse from a SOAP response.
      Parameters:
        `soapRes` - the SOAP response to wrap

  - ### Method Detail

    - #### getResponse

          public ArgumentList getResponse()

      Gets the argument list from the response.
      Returns:
        the argument list from the response

    - #### setResponse

          public void setResponse(Action action)

      Sets the response for the specified action.
      Parameters:
        `action` - the action to set response for